summaryrefslogtreecommitdiff
path: root/dev-python/python-debian
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/python-debian')
-rw-r--r--dev-python/python-debian/Manifest1
-rw-r--r--dev-python/python-debian/python-debian-1.1.1.ebuild52
2 files changed, 53 insertions, 0 deletions
diff --git a/dev-python/python-debian/Manifest b/dev-python/python-debian/Manifest
index e11f66fd46f7..d7691448abe7 100644
--- a/dev-python/python-debian/Manifest
+++ b/dev-python/python-debian/Manifest
@@ -1 +1,2 @@
DIST python-debian_1.1.0.tar.xz 200940 BLAKE2B 24d31e04fc08c43f9b9e4c9ad71eedaa3529f47266eed2610fc9cfd8a2c3ab932bf9570fcc5c49a219189d6a522af92ee8378aa520932d83ec8153463657484b SHA512 e93e8e6b0127a2f78b70c827ae9afec6302daf790315d1d3445d51f0da487768ec134a5173ea2ec75482fdd1da6af0e8fdb9037234a3c35f9b982a49dfbddfcf
+DIST python-debian_1.1.1.tar.xz 199876 BLAKE2B 93496ba92f4b1d408f7ade96cc8369e3d6bd807c66b5078eb308336e91089ae0de831b77529bc1ec75af54c64fe93f1c31cc9a01273c6a0febc8e0a9ccbdd889 SHA512 8cf5521f21c0de15dd54f939085f64e6be4c17ccdfbaed9053791b8340597c54b7303e4cf331ce27be83305828a9422599e517d6444a2cee79e001e06cc11124
diff --git a/dev-python/python-debian/python-debian-1.1.1.ebuild b/dev-python/python-debian/python-debian-1.1.1.ebuild
new file mode 100644
index 000000000000..12b5ced435a1
--- /dev/null
+++ b/dev-python/python-debian/python-debian-1.1.1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 2011-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python modules to work with Debian-related data formats"
+HOMEPAGE="
+ https://salsa.debian.org/python-debian-team/python-debian/
+ https://pypi.org/project/python-debian/
+"
+SRC_URI="mirror://debian/pool/main/${PN::1}/${PN}/${PN}_${PV}.tar.xz"
+
+LICENSE="GPL-2 GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/charset-normalizer[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ app-arch/dpkg
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+
+ # silence false positives
+ rm -rf debian || die
+
+ export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+}
+
+python_compile_all() {
+ # See debian/rules.
+ "${EPYTHON}" src/debian/doc-debtags > README.debtags || die
+}
+
+python_test() {
+ epytest --doctest-modules
+}